#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'user.ganti_password'}
#{/set}

<div class="breadcrumb">&{'user.mengganti_pwd'}</div>
<div class="content">
<div class="row">
	  <div class="col-md-3">
          <div class="thumbnail text-center"><i class="fa fa-lock fa-20x"></i></div>
      </div>
	  <div class="col-md-9">
	  	<div class="bs-callout bs-callout-warning">
			<strong>&{'user.ketentuan'}</strong>
			<ol>
				<li>&{'user.ketentuan_1'}</li>
				<li>&{'user.ketentuan_2'}</li>
				<li>&{'user.ketentuan_3'}</li>
			</ol>
	                </div>          
	           #{alert /}  
	    		#{form @UserCtr.simpanLupaPass(), name:'formGantiLupaPassword', method:'POST'}	   
	    		<input type=hidden name=signature value="${signature}"/>
				    <input type=hidden name=isRekanan value="${isRekanan}"/>
	    			<div class="form-group">
						<label>User ID <span class="warning">*</span></label>				
						<input type="text" name="userid" class="form-control #{validate 'userid' /}" value="${flash.userid}"/>
						<div class="invalid-feedback">#{error 'userid' /}</div>
					</div>   
					<div class="form-group">
						<label>Password Baru <span class="warning">*</span></label>
						<div class="input-group">
							<input type="password" name="pass_baru" class="form-control pwd1 #{validate 'pass_baru'/}" value="${flash.pass_baru}" id="pass_baru"/>
							<div class="invalid-feedback">#{error 'pass_baru' /}</div>
							<div class="input-group-append reveal1"><span class="input-group-text"><i class="fa fa-eye"></i></span></div>
						</div>
						<div class="progress">
							<div id="StrengthProgressBar" class="progress-bar"></div>
						</div>
					</div>  
					<div class="form-group">
						<label>Ulangi Password <span class="warning">*</span></label>
						<div class="input-group">
							<input type="password" name="pass_baru2" class="form-control pwd2 #{validate 'pass_baru2'/}" value="${flash.pass_baru2}"/>
							<div class="invalid-feedback">#{error 'pass_baru2' /}</div>
							<div class="input-group-apppend reveal2"><span class="input-group-text"><i class="fa fa-eye"></i></span></div>
						</div>
					</div>                  
	               #{saveButton /}     
	          #{/form}  
	  </div>
	</div>
</div>

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/zxcvbn/1.0/zxcvbn.min.js"></script>
<script type="text/javascript" src="#{assets '/js/zxcvbn-bootstrap4-strength-meter.js'/}"></script>
<script type="text/javascript">
	$(document).ready(function ($) {
		 $("#StrengthProgressBar").zxcvbnProgressBar({
					passwordInput: "#pass_baru"
		});
	});
	$(".reveal1").on('click',function() {
		var $pwd = $(".pwd1");
		if ($pwd.attr('type') === 'password') {
			$pwd.attr('type', 'text');
		} else {
			$pwd.attr('type', 'password');
		}
	});
	$(".reveal2").on('click',function() {
		var $pwd = $(".pwd2");
		if ($pwd.attr('type') === 'password') {
			$pwd.attr('type', 'text');
		} else {
			$pwd.attr('type', 'password');
		}
	});
</script>
#{/set}